Commit dad39f88 authored by Ralph Böhme's avatar Ralph Böhme 💬
Browse files

bootstrap/config.py: add glib2-dev

parent e9b49825
Pipeline #54228619 passed with stages
in 214 minutes
......@@ -11,7 +11,7 @@ variables:
SAMBA_CI_CONTAINER_REGISTRY_PATH: samba-team/devel/samba
# Set this to the contents of bootstrap/sha1sum.txt
# which is generated by bootstrap/template.py --render
SAMBA_CI_CONTAINER_TAG: a94bccba6df38af87c72b6a8dabab3d8d74a1b74
SAMBA_CI_CONTAINER_TAG: 9e02e1a580c911b5e966a61a24f7cf49196b5e2e
# declare the main dist samba will test against
SAMBA_CI_CONTAINER_IMAGE_DIST: opensuse150
SAMBA_CI_CONTAINER_IMAGE: ${SAMBA_CI_CONTAINER_REGISTRY_HOST}/${SAMBA_CI_CONTAINER_REGISTRY_PATH}/samba-ci-${SAMBA_CI_CONTAINER_IMAGE_DIST}:${SAMBA_CI_CONTAINER_TAG}
......
......@@ -97,6 +97,7 @@ PKGS = [
('libdbus-1-dev', 'dbus-devel'),
('libpcap-dev', 'libpcap-devel'),
('libunwind-dev', 'libunwind-devel'), # for back trace
('libglib2.0-dev', 'glib2-devel'),
# NAME1, NAME2
# for debian, locales provide locale support with language packs
......
......@@ -23,6 +23,7 @@ yum -y -q --verbose install \
gcc \
gdb \
git \
glib2-devel \
glibc-common \
gnutls-devel \
gpgme-devel \
......
......@@ -17,6 +17,7 @@ packages:
- gcc
- gdb
- git
- glib2-devel
- glibc-common
- gnutls-devel
- gpgme-devel
......
......@@ -23,6 +23,7 @@ yum -y -q --verbose install \
gcc \
gdb \
git \
glib2-devel \
glibc-common \
gnutls-devel \
gpgme-devel \
......
......@@ -17,6 +17,7 @@ packages:
- gcc
- gdb
- git
- glib2-devel
- glibc-common
- gnutls-devel
- gpgme-devel
......
......@@ -37,6 +37,7 @@ apt-get -y install \
libcap-dev \
libcups2-dev \
libdbus-1-dev \
libglib2.0-dev \
libgnutls28-dev \
libgpgme11-dev \
libjansson-dev \
......
......@@ -32,6 +32,7 @@ packages:
- libcap-dev
- libcups2-dev
- libdbus-1-dev
- libglib2.0-dev
- libgnutls28-dev
- libgpgme11-dev
- libjansson-dev
......
......@@ -37,6 +37,7 @@ apt-get -y install \
libcap-dev \
libcups2-dev \
libdbus-1-dev \
libglib2.0-dev \
libgnutls28-dev \
libgpgme11-dev \
libjansson-dev \
......
......@@ -32,6 +32,7 @@ packages:
- libcap-dev
- libcups2-dev
- libdbus-1-dev
- libglib2.0-dev
- libgnutls28-dev
- libgpgme11-dev
- libjansson-dev
......
......@@ -21,6 +21,7 @@ dnf -y -q --verbose install \
gcc \
gdb \
git \
glib2-devel \
glibc-common \
glibc-langpack-en \
gnutls-devel \
......
......@@ -17,6 +17,7 @@ packages:
- gcc
- gdb
- git
- glib2-devel
- glibc-common
- glibc-langpack-en
- gnutls-devel
......
......@@ -21,6 +21,7 @@ dnf -y -q --verbose install \
gcc \
gdb \
git \
glib2-devel \
glibc-common \
glibc-langpack-en \
gnutls-devel \
......
......@@ -17,6 +17,7 @@ packages:
- gcc
- gdb
- git
- glib2-devel
- glibc-common
- glibc-langpack-en
- gnutls-devel
......
......@@ -20,6 +20,7 @@ zypper --non-interactive install \
gcc \
gdb \
git \
glib2-devel \
glibc-locale \
gnutls-devel \
gpgme-devel \
......
......@@ -16,6 +16,7 @@ packages:
- gcc
- gdb
- git
- glib2-devel
- glibc-locale
- gnutls-devel
- gpgme-devel
......
......@@ -38,6 +38,7 @@ apt-get -y install \
libcap-dev \
libcups2-dev \
libdbus-1-dev \
libglib2.0-dev \
libgnutls-dev \
libgpgme11-dev \
libjansson-dev \
......
......@@ -33,6 +33,7 @@ packages:
- libcap-dev
- libcups2-dev
- libdbus-1-dev
- libglib2.0-dev
- libgnutls-dev
- libgpgme11-dev
- libjansson-dev
......
......@@ -38,6 +38,7 @@ apt-get -y install \
libcap-dev \
libcups2-dev \
libdbus-1-dev \
libglib2.0-dev \
libgnutls28-dev \
libgpgme11-dev \
libjansson-dev \
......
......@@ -33,6 +33,7 @@ packages:
- libcap-dev
- libcups2-dev
- libdbus-1-dev
- libglib2.0-dev
- libgnutls28-dev
- libgpgme11-dev
- libjansson-dev
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment